Package com.io7m.idstore.database.postgres.internal.tables.records

# Class UserIdsRecord

java.lang.Object
org.jooq.impl.TableRecordImpl<R>
org.jooq.impl.UpdatableRecordImpl<UserIdsRecord>
com.io7m.idstore.database.postgres.internal.tables.records.UserIdsRecord

All Implemented Interfaces:
  `Serializable`, `Comparable<org.jooq.Record>`, `SQLData`, `org.jooq.Attachable`, `org.jooq.Fields`, `org.jooq.Formattable`, `org.jooq.QualifiedRecord<UserIdsRecord>`, `org.jooq.Record`, `org.jooq.Record1<UUID>`, `org.jooq.TableRecord<UserIdsRecord>`, `org.jooq.UpdatableRecord<UserIdsRecord>`

public class UserIdsRecord extends org.jooq.impl.UpdatableRecordImpl<UserIdsRecord> implements org.jooq.Record1<UUID>
This class is generated by jOOQ.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserIdsRecord()`
  Create a detached UserIdsRecord
  `UserIdsRecord(UUID id)`
  Create a detached, initialised UserIdsRecord

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `attach(org.jooq.Configuration arg0)`
  `final boolean`
  `changed()`
  `final void`
  `changed(boolean arg0)`
  `final boolean`
  `changed(int arg0)`
  `final void`
  `changed(int arg0, boolean arg1)`
  `final boolean`
  `changed(String arg0)`
  `final void`
  `changed(String arg0, boolean arg1)`
  `final boolean`
  `changed(org.jooq.Field<?> arg0)`
  `final void`
  `changed(org.jooq.Field<?> arg0, boolean arg1)`
  `final boolean`
  `changed(org.jooq.Name arg0)`
  `final void`
  `changed(org.jooq.Name arg0, boolean arg1)`
  `int`
  `compareTo(org.jooq.Record arg0)`
  `UUID`
  `component1()`
  `final org.jooq.Configuration`
  `configuration()`
  `protected final org.jooq.DSLContext`
  `create()`
  Deprecated.
  `final org.jooq.DataType<?>`
  `dataType(int arg0)`
  `final org.jooq.DataType<?>`
  `dataType(String arg0)`
  `final org.jooq.DataType<?>`
  `dataType(org.jooq.Name arg0)`
  `final org.jooq.DataType<?>[]`
  `dataTypes()`
  `final void`
  `detach()`
  `boolean`
  `equals(Object arg0)`
  `final org.jooq.Field<?>`
  `field(int arg0)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(int arg0, Class<T> arg1)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(int arg0, org.jooq.DataType<T> arg1)`
  `final org.jooq.Field<?>`
  `field(String arg0)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(String arg0, Class<T> arg1)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(String arg0, org.jooq.DataType<T> arg1)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(org.jooq.Field<T> arg0)`
  `final org.jooq.Field<?>`
  `field(org.jooq.Name arg0)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(org.jooq.Name arg0, Class<T> arg1)`
  `final <T extends Object>
  org.jooq.Field<T>`
  `field(org.jooq.Name arg0, org.jooq.DataType<T> arg1)`
  `org.jooq.Field<UUID>`
  `field1()`
  `final org.jooq.Field<?>[]`
  `fields()`
  `final org.jooq.Field<?>[]`
  `fields(int... arg0)`
  `final org.jooq.Field<?>[]`
  `fields(String... arg0)`
  `final org.jooq.Field<?>[]`
  `fields(org.jooq.Field<?>... arg0)`
  `final org.jooq.Field<?>[]`
  `fields(org.jooq.Name... arg0)`
  `org.jooq.Row1<UUID>`
  `fieldsRow()`
  `final Stream<org.jooq.Field<?>>`
  `fieldStream()`
  `final String`
  `format()`
  `final String`
  `format(int arg0)`
  `final void`
  `format(OutputStream arg0)`
  `final void`
  `format(OutputStream arg0, int arg1)`
  `final void`
  `format(OutputStream arg0, org.jooq.TXTFormat arg1)`
  `final void`
  `format(Writer arg0)`
  `final void`
  `format(Writer arg0, int arg1)`
  `final void`
  `format(Writer arg0, org.jooq.TXTFormat arg1)`
  `final String`
  `format(org.jooq.TXTFormat arg0)`
  `final String`
  `formatChart()`
  `final void`
  `formatChart(OutputStream arg0)`
  `final void`
  `formatChart(OutputStream arg0, org.jooq.ChartFormat arg1)`
  `final void`
  `formatChart(Writer arg0)`
  `final void`
  `formatChart(Writer arg0, org.jooq.ChartFormat arg1)`
  `final String`
  `formatChart(org.jooq.ChartFormat arg0)`
  `final String`
  `formatCSV()`
  `final String`
  `formatCSV(boolean arg0)`
  `final String`
  `formatCSV(boolean arg0, char arg1)`
  `final String`
  `formatCSV(boolean arg0, char arg1, String arg2)`
  `final String`
  `formatCSV(char arg0)`
  `final String`
  `formatCSV(char arg0, String arg1)`
  `final void`
  `formatCSV(OutputStream arg0)`
  `final void`
  `formatCSV(OutputStream arg0, boolean arg1)`
  `final void`
  `formatCSV(OutputStream arg0, boolean arg1, char arg2)`
  `final void`
  `formatCSV(OutputStream arg0, boolean arg1, char arg2, String arg3)`
  `final void`
  `formatCSV(OutputStream arg0, char arg1)`
  `final void`
  `formatCSV(OutputStream arg0, char arg1, String arg2)`
  `final void`
  `formatCSV(OutputStream arg0, org.jooq.CSVFormat arg1)`
  `final void`
  `formatCSV(Writer arg0)`
  `final void`
  `formatCSV(Writer arg0, boolean arg1)`
  `final void`
  `formatCSV(Writer arg0, boolean arg1, char arg2)`
  `final void`
  `formatCSV(Writer arg0, boolean arg1, char arg2, String arg3)`
  `final void`
  `formatCSV(Writer arg0, char arg1)`
  `final void`
  `formatCSV(Writer arg0, char arg1, String arg2)`
  `final void`
  `formatCSV(Writer arg0, org.jooq.CSVFormat arg1)`
  `final String`
  `formatCSV(org.jooq.CSVFormat arg0)`
  `final String`
  `formatHTML()`
  `final void`
  `formatHTML(OutputStream arg0)`
  `final void`
  `formatHTML(Writer arg0)`
  `final String`
  `formatInsert()`
  `final void`
  `formatInsert(OutputStream arg0)`
  `final void`
  `formatInsert(OutputStream arg0, org.jooq.Table<?> arg1, org.jooq.Field<?>... arg2)`
  `final void`
  `formatInsert(Writer arg0)`
  `final void`
  `formatInsert(Writer arg0, org.jooq.Table<?> arg1, org.jooq.Field<?>... arg2)`
  `final String`
  `formatInsert(org.jooq.Table<?> arg0, org.jooq.Field<?>... arg1)`
  `final String`
  `formatJSON()`
  `final void`
  `formatJSON(OutputStream arg0)`
  `final void`
  `formatJSON(OutputStream arg0, org.jooq.JSONFormat arg1)`
  `final void`
  `formatJSON(Writer arg0)`
  `final void`
  `formatJSON(Writer arg0, org.jooq.JSONFormat arg1)`
  `final String`
  `formatJSON(org.jooq.JSONFormat arg0)`
  `final String`
  `formatXML()`
  `final void`
  `formatXML(OutputStream arg0)`
  `final void`
  `formatXML(OutputStream arg0, org.jooq.XMLFormat arg1)`
  `final void`
  `formatXML(Writer arg0)`
  `final void`
  `formatXML(Writer arg0, org.jooq.XMLFormat arg1)`
  `final String`
  `formatXML(org.jooq.XMLFormat arg0)`
  `final void`
  `from(Object arg0)`
  `final void`
  `from(Object arg0, int... arg1)`
  `final void`
  `from(Object arg0, String... arg1)`
  `final void`
  `from(Object arg0, org.jooq.Field<?>... arg1)`
  `final void`
  `from(Object arg0, org.jooq.Name... arg1)`
  `protected final void`
  `from(org.jooq.Record arg0)`
  `final void`
  `fromArray(Object... arg0)`
  `final void`
  `fromArray(Object[] arg0, int... arg1)`
  `final void`
  `fromArray(Object[] arg0, String... arg1)`
  `final void`
  `fromArray(Object[] arg0, org.jooq.Field<?>... arg1)`
  `final void`
  `fromArray(Object[] arg0, org.jooq.Name... arg1)`
  `final void`
  `fromMap(Map<String,?> arg0)`
  `final void`
  `fromMap(Map<String,?> arg0, int... arg1)`
  `final void`
  `fromMap(Map<String,?> arg0, String... arg1)`
  `final void`
  `fromMap(Map<String,?> arg0, org.jooq.Field<?>... arg1)`
  `final void`
  `fromMap(Map<String,?> arg0, org.jooq.Name... arg1)`
  `final Object`
  `get(int arg0)`
  `final <U extends Object>
  U`
  `get(int arg0, Class<? extends U> arg1)`
  `final <U extends Object>
  U`
  `get(int arg0, org.jooq.Converter<?,? extends U> arg1)`
  `final Object`
  `get(String arg0)`
  `final <T extends Object>
  T`
  `get(String arg0, Class<? extends T> arg1)`
  `final <U extends Object>
  U`
  `get(String arg0, org.jooq.Converter<?,? extends U> arg1)`
  `final <U extends Object>
  U`
  `get(org.jooq.Field<?> arg0, Class<? extends U> arg1)`
  `final <T extends Object>
  T`
  `get(org.jooq.Field<T> arg0)`
  `final <T extends Object, U extends Object>
  U`
  `get(org.jooq.Field<T> arg0, org.jooq.Converter<? super T,? extends U> arg1)`
  `final Object`
  `get(org.jooq.Name arg0)`
  `final <T extends Object>
  T`
  `get(org.jooq.Name arg0, Class<? extends T> arg1)`
  `final <U extends Object>
  U`
  `get(org.jooq.Name arg0, org.jooq.Converter<?,? extends U> arg1)`
  `UUID`
  `getId()`
  Getter for `USER_IDS.ID`.
  `final org.jooq.RecordQualifier<UserIdsRecord>`
  `getQualifier()`
  `final String`
  `getSQLTypeName()`
  `final Object`
  `getValue(int arg0)`
  `final <T extends Object>
  T`
  `getValue(int arg0, Class<? extends T> arg1)`
  `final <U extends Object>
  U`
  `getValue(int arg0, org.jooq.Converter<?,? extends U> arg1)`
  `final Object`
  `getValue(String arg0)`
  `final <T extends Object>
  T`
  `getValue(String arg0, Class<? extends T> arg1)`
  `final <U extends Object>
  U`
  `getValue(String arg0, org.jooq.Converter<?,? extends U> arg1)`
  `final <T extends Object>
  T`
  `getValue(org.jooq.Field<?> arg0, Class<? extends T> arg1)`
  `final <T extends Object>
  T`
  `getValue(org.jooq.Field<T> arg0)`
  `final <T extends Object, U extends Object>
  U`
  `getValue(org.jooq.Field<T> arg0, org.jooq.Converter<? super T,? extends U> arg1)`
  `final Object`
  `getValue(org.jooq.Name arg0)`
  `final <T extends Object>
  T`
  `getValue(org.jooq.Name arg0, Class<? extends T> arg1)`
  `final <U extends Object>
  U`
  `getValue(org.jooq.Name arg0, org.jooq.Converter<?,? extends U> arg1)`
  `int`
  `hashCode()`
  `final int`
  `indexOf(String arg0)`
  `final int`
  `indexOf(org.jooq.Field<?> arg0)`
  `final int`
  `indexOf(org.jooq.Name arg0)`
  `<E extends Object>
  E`
  `into(E arg0)`
  `final <E extends Object>
  E`
  `into(Class<? extends E> arg0)`
  `final org.jooq.Record`
  `into(org.jooq.Field<?>... arg0)`
  `final <T1 extends Object>
  org.jooq.Record1<T1>`
  `into(org.jooq.Field<T1> arg0)`
  `final <T1 extends Object, T2 extends Object>
  org.jooq.Record2<T1,T2>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object>
  org.jooq.Record3<T1,T2,T3>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object>
  org.jooq.Record4<T1,T2,T3,T4>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object>
  org.jooq.Record5<T1,T2,T3,T4,T5>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object>
  org.jooq.Record6<T1,T2,T3,T4,T5,T6>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object>
  org.jooq.Record7<T1,T2,T3,T4,T5,T6,T7>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object>
  org.jooq.Record8<T1,T2,T3,T4,T5,T6,T7,T8>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object>
  org.jooq.Record9<T1,T2,T3,T4,T5,T6,T7,T8,T9>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object>
  org.jooq.Record10<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object>
  org.jooq.Record11<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object>
  org.jooq.Record12<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object>
  org.jooq.Record13<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object>
  org.jooq.Record14<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object>
  org.jooq.Record15<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object>
  org.jooq.Record16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object>
  org.jooq.Record17<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object>
  org.jooq.Record18<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object>
  org.jooq.Record19<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object, T20 extends Object>
  org.jooq.Record20<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18, org.jooq.Field<T20> arg19)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object, T20 extends Object, T21 extends Object>
  org.jooq.Record21<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18, org.jooq.Field<T20> arg19, org.jooq.Field<T21> arg20)`
  `final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object, T20 extends Object, T21 extends Object, T22 extends Object>
  org.jooq.Record22<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21,T22>`
  `into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18, org.jooq.Field<T20> arg19, org.jooq.Field<T21> arg20, org.jooq.Field<T22> arg21)`
  `final <R extends org.jooq.Record>
  R`
  `into(org.jooq.Table<R> arg0)`
  `final Object[]`
  `intoArray()`
  `final List<Object>`
  `intoList()`
  `final Map<String,Object>`
  `intoMap()`
  `final ResultSet`
  `intoResultSet()`
  `final Stream<Object>`
  `intoStream()`
  `final Document`
  `intoXML()`
  `final <H extends ContentHandler>
  H`
  `intoXML(H arg0)`
  `final <H extends ContentHandler>
  H`
  `intoXML(H arg0, org.jooq.XMLFormat arg1)`
  `final Document`
  `intoXML(org.jooq.XMLFormat arg0)`
  `org.jooq.Record1<UUID>`
  `key()`
  `final <E extends Object>
  E`
  `map(org.jooq.RecordMapper<org.jooq.Record,E> arg0)`
  `final Object`
  `original(int arg0)`
  `final Object`
  `original(String arg0)`
  `final <T extends Object>
  T`
  `original(org.jooq.Field<T> arg0)`
  `final Object`
  `original(org.jooq.Name arg0)`
  `final void`
  `readSQL(SQLInput arg0, String arg1)`
  `final void`
  `reset()`
  `final void`
  `reset(int arg0)`
  `final void`
  `reset(String arg0)`
  `final void`
  `reset(org.jooq.Field<?> arg0)`
  `final void`
  `reset(org.jooq.Name arg0)`
  `protected void`
  `resetChangedOnNotNull()`
  `protected final void`
  `set(int arg0, Object arg1)`
  `final <T extends Object>
  void`
  `set(org.jooq.Field<T> arg0, T arg1)`
  `final <T extends Object, U extends Object>
  void`
  `set(org.jooq.Field<T> arg0, U arg1, org.jooq.Converter<? extends T,? super U> arg2)`
  `void`
  `setId(UUID value)`
  Setter for `USER_IDS.ID`.
  `protected final void`
  `setValue(int arg0, Object arg1)`
  Deprecated.
  `final <T extends Object>
  void`
  `setValue(org.jooq.Field<T> arg0, T arg1)`
  `final <T extends Object, U extends Object>
  void`
  `setValue(org.jooq.Field<T> arg0, U arg1, org.jooq.Converter<? extends T,? super U> arg2)`
  `final int`
  `size()`
  `String`
  `toString()`
  `final Class<?>`
  `type(int arg0)`
  `final Class<?>`
  `type(String arg0)`
  `final Class<?>`
  `type(org.jooq.Name arg0)`
  `final Class<?>[]`
  `types()`
  `UUID`
  `value1()`
  `UserIdsRecord`
  `value1(UUID value)`
  `UserIdsRecord`
  `values(UUID value1)`
  `org.jooq.Row1<UUID>`
  `valuesRow()`
  `final <T extends Object>
  UserIdsRecord`
  `with(org.jooq.Field<T> arg0, T arg1)`
  `final <T extends Object, U extends Object>
  UserIdsRecord`
  `with(org.jooq.Field<T> arg0, U arg1, org.jooq.Converter<? extends T,? super U> arg2)`
  `final void`
  `writeSQL(SQLOutput arg0)`

  ### Methods inherited from class org.jooq.impl.UpdatableRecordImpl

  `children, copy, delete, fetchChild, fetchChildren, merge, merge, merge, refresh, refresh, refresh, store, store, store, update, update, update`

  ### Methods inherited from class org.jooq.impl.TableRecordImpl

  `fetchParent, getTable, insert, insert, insert, original, parent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.jooq.Attachable

  `attach, configuration, detach`

  ### Methods inherited from interface org.jooq.Fields

  `dataType, dataType, dataType, dataTypes, field, field, field, field, field, field, field, field, field, field, fields, fields, fields, fields, fields, fieldStream, indexOf, indexOf, indexOf, type, type, type, types`

  ### Methods inherited from interface org.jooq.Formattable

  `format, format, format, format, format, format, format, format, format, formatChart, formatChart, formatChart, formatChart, formatChart, formatChart, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatCSV, formatHTML, formatHTML, formatHTML, formatInsert, formatInsert, formatInsert, formatInsert, formatInsert, formatInsert, formatJSON, formatJSON, formatJSON, formatJSON, formatJSON, formatJSON, formatXML, formatXML, formatXML, formatXML, formatXML, formatXML, intoXML, intoXML, intoXML, intoXML`

  ### Methods inherited from interface org.jooq.QualifiedRecord

  `getQualifier, with, with`

  ### Methods inherited from interface org.jooq.Record

  `changed, changed, changed, changed, changed, changed, changed, changed, changed, changed, compareTo, equals, from, from, from, from, from, fromArray, fromArray, fromArray, fromArray, fromArray, fromMap, fromMap, fromMap, fromMap, fromMap, get, get, get, get, get, get, get, get, get, get, get, get, getValue, getValue, getValue, getValue, getValue, getValue, getValue, getValue, getValue, getValue, getValue, getValue, hashCode, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, into, intoArray, intoList, intoMap, intoResultSet, intoStream, map, original, original, original, original, reset, reset, reset, reset, reset, set, set, setValue, setValue, size`

  ### Methods inherited from interface org.jooq.Record1

  `with, with`

  ### Methods inherited from interface java.sql.SQLData

  `getSQLTypeName, readSQL, writeSQL`

  ### Methods inherited from interface org.jooq.TableRecord

  `fetchParent, getTable, original, parent`

  ### Methods inherited from interface org.jooq.UpdatableRecord

  `insert, insert, insert`

- ## Constructor Details

  - ### UserIdsRecord

    public UserIdsRecord()
    Create a detached UserIdsRecord

  - ### UserIdsRecord

    public UserIdsRecord(UUID id)
    Create a detached, initialised UserIdsRecord

- ## Method Details

  - ### setId

    public void setId(UUID value)
    Setter for `USER_IDS.ID`.

  - ### getId

    public UUID getId()
    Getter for `USER_IDS.ID`.

  - ### key

    public org.jooq.Record1<UUID> key()
    Specified by:
      `key` in interface `org.jooq.UpdatableRecord<UserIdsRecord>`
    Overrides:
      `key` in class `org.jooq.impl.UpdatableRecordImpl<UserIdsRecord>`

  - ### fieldsRow

    public org.jooq.Row1<UUID> fieldsRow()
    Specified by:
      `fieldsRow` in interface `org.jooq.Fields`
    Specified by:
      `fieldsRow` in interface `org.jooq.Record1<UUID>`

  - ### valuesRow

    public org.jooq.Row1<UUID> valuesRow()
    Specified by:
      `valuesRow` in interface `org.jooq.Record`
    Specified by:
      `valuesRow` in interface `org.jooq.Record1<UUID>`

  - ### field1

    public org.jooq.Field<UUID> field1()
    Specified by:
      `field1` in interface `org.jooq.Record1<UUID>`

  - ### component1

    public UUID component1()
    Specified by:
      `component1` in interface `org.jooq.Record1<UUID>`

  - ### value1

    public UUID value1()
    Specified by:
      `value1` in interface `org.jooq.Record1<UUID>`

  - ### value1

    public UserIdsRecord value1(UUID value)
    Specified by:
      `value1` in interface `org.jooq.Record1<UUID>`

  - ### values

    public UserIdsRecord values(UUID value1)
    Specified by:
      `values` in interface `org.jooq.Record1<UUID>`

  - ### getQualifier

    public final org.jooq.RecordQualifier<UserIdsRecord> getQualifier()
    Specified by:
      `getQualifier` in interface `org.jooq.QualifiedRecord<R extends org.jooq.QualifiedRecord<R>>`

  - ### with

    public final <T extends Object> UserIdsRecord with(org.jooq.Field<T> arg0, T arg1)
    Specified by:
      `with` in interface `org.jooq.QualifiedRecord<R extends org.jooq.QualifiedRecord<R>>`
    Specified by:
      `with` in interface `org.jooq.Record`

  - ### with

    public final <T extends Object, U extends Object> UserIdsRecord with(org.jooq.Field<T> arg0, U arg1, org.jooq.Converter<? extends T,? super U> arg2)
    Specified by:
      `with` in interface `org.jooq.QualifiedRecord<R extends org.jooq.QualifiedRecord<R>>`
    Specified by:
      `with` in interface `org.jooq.Record`

  - ### getSQLTypeName

    public final String getSQLTypeName() throws SQLException
    Specified by:
      `getSQLTypeName` in interface `SQLData`
    Throws:
      `SQLException`

  - ### readSQL

    public final void readSQL(SQLInput arg0, String arg1) throws SQLException
    Specified by:
      `readSQL` in interface `SQLData`
    Throws:
      `SQLException`

  - ### writeSQL

    public final void writeSQL(SQLOutput arg0) throws SQLException
    Specified by:
      `writeSQL` in interface `SQLData`
    Throws:
      `SQLException`

  - ### fields

    public final org.jooq.Field<?>[] fields()
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fieldStream

    public final Stream<org.jooq.Field<?>> fieldStream()
    Specified by:
      `fieldStream` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(org.jooq.Field<T> arg0)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final org.jooq.Field<?> field(String arg0)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(String arg0, Class<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(String arg0, org.jooq.DataType<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final org.jooq.Field<?> field(org.jooq.Name arg0)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(org.jooq.Name arg0, Class<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(org.jooq.Name arg0, org.jooq.DataType<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final org.jooq.Field<?> field(int arg0)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(int arg0, Class<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    public final <T extends Object> org.jooq.Field<T> field(int arg0, org.jooq.DataType<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### fields

    public final org.jooq.Field<?>[] fields(org.jooq.Field<?>... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fields

    public final org.jooq.Field<?>[] fields(String... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fields

    public final org.jooq.Field<?>[] fields(org.jooq.Name... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fields

    public final org.jooq.Field<?>[] fields(int... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### indexOf

    public final int indexOf(org.jooq.Field<?> arg0)
    Specified by:
      `indexOf` in interface `org.jooq.Fields`

  - ### indexOf

    public final int indexOf(String arg0)
    Specified by:
      `indexOf` in interface `org.jooq.Fields`

  - ### indexOf

    public final int indexOf(org.jooq.Name arg0)
    Specified by:
      `indexOf` in interface `org.jooq.Fields`

  - ### types

    public final Class<?>[] types()
    Specified by:
      `types` in interface `org.jooq.Fields`

  - ### type

    public final Class<?> type(int arg0)
    Specified by:
      `type` in interface `org.jooq.Fields`

  - ### type

    public final Class<?> type(String arg0)
    Specified by:
      `type` in interface `org.jooq.Fields`

  - ### type

    public final Class<?> type(org.jooq.Name arg0)
    Specified by:
      `type` in interface `org.jooq.Fields`

  - ### dataTypes

    public final org.jooq.DataType<?>[] dataTypes()
    Specified by:
      `dataTypes` in interface `org.jooq.Fields`

  - ### dataType

    public final org.jooq.DataType<?> dataType(int arg0)
    Specified by:
      `dataType` in interface `org.jooq.Fields`

  - ### dataType

    public final org.jooq.DataType<?> dataType(String arg0)
    Specified by:
      `dataType` in interface `org.jooq.Fields`

  - ### dataType

    public final org.jooq.DataType<?> dataType(org.jooq.Name arg0)
    Specified by:
      `dataType` in interface `org.jooq.Fields`

  - ### size

    public final int size()
    Specified by:
      `size` in interface `org.jooq.Record`

  - ### get

    public final <T extends Object> T get(org.jooq.Field<T> arg0)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <U extends Object> U get(org.jooq.Field<?> arg0, Class<? extends U> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <T extends Object, U extends Object> U get(org.jooq.Field<T> arg0, org.jooq.Converter<? super T,? extends U> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final Object get(int arg0)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <U extends Object> U get(int arg0, Class<? extends U> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <U extends Object> U get(int arg0, org.jooq.Converter<?,? extends U> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final Object get(String arg0)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <T extends Object> T get(String arg0, Class<? extends T> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <U extends Object> U get(String arg0, org.jooq.Converter<?,? extends U> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final Object get(org.jooq.Name arg0)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <T extends Object> T get(org.jooq.Name arg0, Class<? extends T> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### get

    public final <U extends Object> U get(org.jooq.Name arg0, org.jooq.Converter<?,? extends U> arg1)
    Specified by:
      `get` in interface `org.jooq.Record`

  - ### setValue

    @Deprecated protected final void setValue(int arg0, Object arg1)
    Deprecated.

  - ### set

    protected final void set(int arg0, Object arg1)

  - ### set

    public final <T extends Object> void set(org.jooq.Field<T> arg0, T arg1)
    Specified by:
      `set` in interface `org.jooq.Record`

  - ### set

    public final <T extends Object, U extends Object> void set(org.jooq.Field<T> arg0, U arg1, org.jooq.Converter<? extends T,? super U> arg2)
    Specified by:
      `set` in interface `org.jooq.Record`

  - ### original

    public final <T extends Object> T original(org.jooq.Field<T> arg0)
    Specified by:
      `original` in interface `org.jooq.Record`

  - ### original

    public final Object original(int arg0)
    Specified by:
      `original` in interface `org.jooq.Record`

  - ### original

    public final Object original(String arg0)
    Specified by:
      `original` in interface `org.jooq.Record`

  - ### original

    public final Object original(org.jooq.Name arg0)
    Specified by:
      `original` in interface `org.jooq.Record`

  - ### changed

    public final boolean changed()
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final boolean changed(org.jooq.Field<?> arg0)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final boolean changed(int arg0)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final boolean changed(String arg0)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final boolean changed(org.jooq.Name arg0)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final void changed(boolean arg0)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final void changed(org.jooq.Field<?> arg0, boolean arg1)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final void changed(int arg0, boolean arg1)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final void changed(String arg0, boolean arg1)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### changed

    public final void changed(org.jooq.Name arg0, boolean arg1)
    Specified by:
      `changed` in interface `org.jooq.Record`

  - ### reset

    public final void reset()
    Specified by:
      `reset` in interface `org.jooq.Record`

  - ### reset

    public final void reset(org.jooq.Field<?> arg0)
    Specified by:
      `reset` in interface `org.jooq.Record`

  - ### reset

    public final void reset(int arg0)
    Specified by:
      `reset` in interface `org.jooq.Record`

  - ### reset

    public final void reset(String arg0)
    Specified by:
      `reset` in interface `org.jooq.Record`

  - ### reset

    public final void reset(org.jooq.Name arg0)
    Specified by:
      `reset` in interface `org.jooq.Record`

  - ### intoArray

    public final Object[] intoArray()
    Specified by:
      `intoArray` in interface `org.jooq.Record`

  - ### intoList

    public final List<Object> intoList()
    Specified by:
      `intoList` in interface `org.jooq.Record`

  - ### intoStream

    public final Stream<Object> intoStream()
    Specified by:
      `intoStream` in interface `org.jooq.Record`

  - ### intoMap

    public final Map<String,Object> intoMap()
    Specified by:
      `intoMap` in interface `org.jooq.Record`

  - ### into

    public final org.jooq.Record into(org.jooq.Field<?>... arg0)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object> org.jooq.Record1<T1> into(org.jooq.Field<T1> arg0)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object> org.jooq.Record2<T1,T2> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object> org.jooq.Record3<T1,T2,T3> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object> org.jooq.Record4<T1,T2,T3,T4> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object> org.jooq.Record5<T1,T2,T3,T4,T5> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object> org.jooq.Record6<T1,T2,T3,T4,T5,T6> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object> org.jooq.Record7<T1,T2,T3,T4,T5,T6,T7> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object> org.jooq.Record8<T1,T2,T3,T4,T5,T6,T7,T8> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object> org.jooq.Record9<T1,T2,T3,T4,T5,T6,T7,T8,T9> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object> org.jooq.Record10<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object> org.jooq.Record11<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object> org.jooq.Record12<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object> org.jooq.Record13<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object> org.jooq.Record14<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object> org.jooq.Record15<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object> org.jooq.Record16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object> org.jooq.Record17<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object> org.jooq.Record18<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object> org.jooq.Record19<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object, T20 extends Object> org.jooq.Record20<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18, org.jooq.Field<T20> arg19)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object, T20 extends Object, T21 extends Object> org.jooq.Record21<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18, org.jooq.Field<T20> arg19, org.jooq.Field<T21> arg20)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <T1 extends Object, T2 extends Object, T3 extends Object, T4 extends Object, T5 extends Object, T6 extends Object, T7 extends Object, T8 extends Object, T9 extends Object, T10 extends Object, T11 extends Object, T12 extends Object, T13 extends Object, T14 extends Object, T15 extends Object, T16 extends Object, T17 extends Object, T18 extends Object, T19 extends Object, T20 extends Object, T21 extends Object, T22 extends Object> org.jooq.Record22<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21,T22> into(org.jooq.Field<T1> arg0, org.jooq.Field<T2> arg1, org.jooq.Field<T3> arg2, org.jooq.Field<T4> arg3, org.jooq.Field<T5> arg4, org.jooq.Field<T6> arg5, org.jooq.Field<T7> arg6, org.jooq.Field<T8> arg7, org.jooq.Field<T9> arg8, org.jooq.Field<T10> arg9, org.jooq.Field<T11> arg10, org.jooq.Field<T12> arg11, org.jooq.Field<T13> arg12, org.jooq.Field<T14> arg13, org.jooq.Field<T15> arg14, org.jooq.Field<T16> arg15, org.jooq.Field<T17> arg16, org.jooq.Field<T18> arg17, org.jooq.Field<T19> arg18, org.jooq.Field<T20> arg19, org.jooq.Field<T21> arg20, org.jooq.Field<T22> arg21)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <E extends Object> E into(Class<? extends E> arg0)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public <E extends Object> E into(E arg0)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### into

    public final <R extends org.jooq.Record> R into(org.jooq.Table<R> arg0)
    Specified by:
      `into` in interface `org.jooq.Record`

  - ### intoResultSet

    public final ResultSet intoResultSet()
    Specified by:
      `intoResultSet` in interface `org.jooq.Record`

  - ### map

    public final <E extends Object> E map(org.jooq.RecordMapper<org.jooq.Record,E> arg0)
    Specified by:
      `map` in interface `org.jooq.Record`

  - ### resetChangedOnNotNull

    protected void resetChangedOnNotNull()

  - ### from

    public final void from(Object arg0)
    Specified by:
      `from` in interface `org.jooq.Record`

  - ### from

    public final void from(Object arg0, org.jooq.Field<?>... arg1)
    Specified by:
      `from` in interface `org.jooq.Record`

  - ### from

    public final void from(Object arg0, String... arg1)
    Specified by:
      `from` in interface `org.jooq.Record`

  - ### from

    public final void from(Object arg0, org.jooq.Name... arg1)
    Specified by:
      `from` in interface `org.jooq.Record`

  - ### from

    public final void from(Object arg0, int... arg1)
    Specified by:
      `from` in interface `org.jooq.Record`

  - ### fromMap

    public final void fromMap(Map<String,?> arg0)
    Specified by:
      `fromMap` in interface `org.jooq.Record`

  - ### fromMap

    public final void fromMap(Map<String,?> arg0, org.jooq.Field<?>... arg1)
    Specified by:
      `fromMap` in interface `org.jooq.Record`

  - ### fromMap

    public final void fromMap(Map<String,?> arg0, String... arg1)
    Specified by:
      `fromMap` in interface `org.jooq.Record`

  - ### fromMap

    public final void fromMap(Map<String,?> arg0, org.jooq.Name... arg1)
    Specified by:
      `fromMap` in interface `org.jooq.Record`

  - ### fromMap

    public final void fromMap(Map<String,?> arg0, int... arg1)
    Specified by:
      `fromMap` in interface `org.jooq.Record`

  - ### fromArray

    public final void fromArray(Object... arg0)
    Specified by:
      `fromArray` in interface `org.jooq.Record`

  - ### fromArray

    public final void fromArray(Object[] arg0, org.jooq.Field<?>... arg1)
    Specified by:
      `fromArray` in interface `org.jooq.Record`

  - ### fromArray

    public final void fromArray(Object[] arg0, String... arg1)
    Specified by:
      `fromArray` in interface `org.jooq.Record`

  - ### fromArray

    public final void fromArray(Object[] arg0, org.jooq.Name... arg1)
    Specified by:
      `fromArray` in interface `org.jooq.Record`

  - ### fromArray

    public final void fromArray(Object[] arg0, int... arg1)
    Specified by:
      `fromArray` in interface `org.jooq.Record`

  - ### from

    protected final void from(org.jooq.Record arg0)

  - ### format

    public final void format(Writer arg0, org.jooq.TXTFormat arg1)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0, org.jooq.CSVFormat arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatJSON

    public final void formatJSON(Writer arg0, org.jooq.JSONFormat arg1)
    Specified by:
      `formatJSON` in interface `org.jooq.Formattable`

  - ### formatXML

    public final void formatXML(Writer arg0, org.jooq.XMLFormat arg1)
    Specified by:
      `formatXML` in interface `org.jooq.Formattable`

  - ### formatHTML

    public final void formatHTML(Writer arg0)
    Specified by:
      `formatHTML` in interface `org.jooq.Formattable`

  - ### formatChart

    public final void formatChart(Writer arg0, org.jooq.ChartFormat arg1)
    Specified by:
      `formatChart` in interface `org.jooq.Formattable`

  - ### formatInsert

    public final void formatInsert(Writer arg0)
    Specified by:
      `formatInsert` in interface `org.jooq.Formattable`

  - ### formatInsert

    public final void formatInsert(Writer arg0, org.jooq.Table<?> arg1, org.jooq.Field<?>... arg2)
    Specified by:
      `formatInsert` in interface `org.jooq.Formattable`

  - ### intoXML

    public final Document intoXML(org.jooq.XMLFormat arg0)
    Specified by:
      `intoXML` in interface `org.jooq.Formattable`

  - ### intoXML

    public final <H extends ContentHandler> H intoXML(H arg0, org.jooq.XMLFormat arg1) throws SAXException
    Specified by:
      `intoXML` in interface `org.jooq.Formattable`
    Throws:
      `SAXException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(org.jooq.Record arg0)
    Specified by:
      `compareTo` in interface `Comparable<org.jooq.Record>`
    Specified by:
      `compareTo` in interface `org.jooq.Record`

  - ### getValue

    public final <T extends Object> T getValue(org.jooq.Field<T> arg0)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <T extends Object> T getValue(org.jooq.Field<?> arg0, Class<? extends T> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <T extends Object, U extends Object> U getValue(org.jooq.Field<T> arg0, org.jooq.Converter<? super T,? extends U> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final Object getValue(int arg0)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <T extends Object> T getValue(int arg0, Class<? extends T> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <U extends Object> U getValue(int arg0, org.jooq.Converter<?,? extends U> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final Object getValue(String arg0)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <T extends Object> T getValue(String arg0, Class<? extends T> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <U extends Object> U getValue(String arg0, org.jooq.Converter<?,? extends U> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final Object getValue(org.jooq.Name arg0)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <T extends Object> T getValue(org.jooq.Name arg0, Class<? extends T> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### getValue

    public final <U extends Object> U getValue(org.jooq.Name arg0, org.jooq.Converter<?,? extends U> arg1)
    Specified by:
      `getValue` in interface `org.jooq.Record`

  - ### setValue

    public final <T extends Object> void setValue(org.jooq.Field<T> arg0, T arg1)
    Specified by:
      `setValue` in interface `org.jooq.Record`

  - ### setValue

    public final <T extends Object, U extends Object> void setValue(org.jooq.Field<T> arg0, U arg1, org.jooq.Converter<? extends T,? super U> arg2)
    Specified by:
      `setValue` in interface `org.jooq.Record`

  - ### create

    @Deprecated protected final org.jooq.DSLContext create()
    Deprecated.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object arg0)
    Overrides:
      `equals` in class `Object`

  - ### attach

    public final void attach(org.jooq.Configuration arg0)
    Specified by:
      `attach` in interface `org.jooq.Attachable`

  - ### detach

    public final void detach()
    Specified by:
      `detach` in interface `org.jooq.Attachable`

  - ### configuration

    public final org.jooq.Configuration configuration()
    Specified by:
      `configuration` in interface `org.jooq.Attachable`

  - ### format

    public final String format()
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final String format(int arg0)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final String format(org.jooq.TXTFormat arg0)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final void format(OutputStream arg0)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final void format(OutputStream arg0, int arg1)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final void format(OutputStream arg0, org.jooq.TXTFormat arg1)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final void format(Writer arg0)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### format

    public final void format(Writer arg0, int arg1)
    Specified by:
      `format` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV()
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV(boolean arg0)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV(char arg0)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV(boolean arg0, char arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV(char arg0, String arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV(boolean arg0, char arg1, String arg2)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final String formatCSV(org.jooq.CSVFormat arg0)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0, boolean arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0, char arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0, boolean arg1, char arg2)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0, char arg1, String arg2)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0, boolean arg1, char arg2, String arg3)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(OutputStream arg0, org.jooq.CSVFormat arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0, boolean arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0, char arg1)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0, boolean arg1, char arg2)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0, char arg1, String arg2)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatCSV

    public final void formatCSV(Writer arg0, boolean arg1, char arg2, String arg3)
    Specified by:
      `formatCSV` in interface `org.jooq.Formattable`

  - ### formatJSON

    public final String formatJSON()
    Specified by:
      `formatJSON` in interface `org.jooq.Formattable`

  - ### formatJSON

    public final String formatJSON(org.jooq.JSONFormat arg0)
    Specified by:
      `formatJSON` in interface `org.jooq.Formattable`

  - ### formatJSON

    public final void formatJSON(OutputStream arg0)
    Specified by:
      `formatJSON` in interface `org.jooq.Formattable`

  - ### formatJSON

    public final void formatJSON(OutputStream arg0, org.jooq.JSONFormat arg1)
    Specified by:
      `formatJSON` in interface `org.jooq.Formattable`

  - ### formatJSON

    public final void formatJSON(Writer arg0)
    Specified by:
      `formatJSON` in interface `org.jooq.Formattable`

  - ### formatXML

    public final String formatXML()
    Specified by:
      `formatXML` in interface `org.jooq.Formattable`

  - ### formatXML

    public final String formatXML(org.jooq.XMLFormat arg0)
    Specified by:
      `formatXML` in interface `org.jooq.Formattable`

  - ### formatXML

    public final void formatXML(OutputStream arg0)
    Specified by:
      `formatXML` in interface `org.jooq.Formattable`

  - ### formatXML

    public final void formatXML(OutputStream arg0, org.jooq.XMLFormat arg1)
    Specified by:
      `formatXML` in interface `org.jooq.Formattable`

  - ### formatXML

    public final void formatXML(Writer arg0)
    Specified by:
      `formatXML` in interface `org.jooq.Formattable`

  - ### formatChart

    public final String formatChart()
    Specified by:
      `formatChart` in interface `org.jooq.Formattable`

  - ### formatChart

    public final String formatChart(org.jooq.ChartFormat arg0)
    Specified by:
      `formatChart` in interface `org.jooq.Formattable`

  - ### formatChart

    public final void formatChart(OutputStream arg0)
    Specified by:
      `formatChart` in interface `org.jooq.Formattable`

  - ### formatChart

    public final void formatChart(OutputStream arg0, org.jooq.ChartFormat arg1)
    Specified by:
      `formatChart` in interface `org.jooq.Formattable`

  - ### formatChart

    public final void formatChart(Writer arg0)
    Specified by:
      `formatChart` in interface `org.jooq.Formattable`

  - ### formatInsert

    public final String formatInsert()
    Specified by:
      `formatInsert` in interface `org.jooq.Formattable`

  - ### formatInsert

    public final void formatInsert(OutputStream arg0)
    Specified by:
      `formatInsert` in interface `org.jooq.Formattable`

  - ### formatInsert

    public final String formatInsert(org.jooq.Table<?> arg0, org.jooq.Field<?>... arg1)
    Specified by:
      `formatInsert` in interface `org.jooq.Formattable`

  - ### formatInsert

    public final void formatInsert(OutputStream arg0, org.jooq.Table<?> arg1, org.jooq.Field<?>... arg2)
    Specified by:
      `formatInsert` in interface `org.jooq.Formattable`

  - ### formatHTML

    public final String formatHTML()
    Specified by:
      `formatHTML` in interface `org.jooq.Formattable`

  - ### formatHTML

    public final void formatHTML(OutputStream arg0)
    Specified by:
      `formatHTML` in interface `org.jooq.Formattable`

  - ### intoXML

    public final Document intoXML()
    Specified by:
      `intoXML` in interface `org.jooq.Formattable`

  - ### intoXML

    public final <H extends ContentHandler> H intoXML(H arg0) throws SAXException
    Specified by:
      `intoXML` in interface `org.jooq.Formattable`
    Throws:
      `SAXException`